<?xml version='1.0'?>
<!--###########################################################################
 |    $Id: xslpath.xsl,v 1.2 2001/05/22 01:15:35 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   PURPOSE:
 |   This stylesheet produces the entities declared in the XML source file,
 |   with their actual path, according to the base-* variables.
 + ############################################################################ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:t="http://nwalsh.com/docbook/xsl/template/1.0"
                xmlns:param="http://nwalsh.com/docbook/xsl/template/1.0/param"
                xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
                exclude-result-prefixes="doc"
                version='1.0'>


<xsl:preserve-space elements="*"/>
<xsl:strip-space elements="xsl:* t:*"/>

<xsl:output method="text" encoding="ISO-8859-1" indent="yes"/>

<!--
<xsl:param name="base-mmlents"/>
<xsl:param name="base-dbcommon"/>
-->

<xsl:template match="t:templates">
  <xsl:text>&#xA;</xsl:text>
  <xsl:text>&lt;!-- </xsl:text>
    File produced by the XSL script template/xslpath.xsl from input data in
    template/xslpath.xml.
<xsl:text>--&gt;&#10;</xsl:text>
  <xsl:text>&#xA;&#xA;</xsl:text>

  <xsl:apply-templates/>

  <xsl:text>&#xA;&#xA;</xsl:text>
</xsl:template>


<xsl:template match="t:ent">
  <xsl:text>&lt;!ENTITY </xsl:text>
  <xsl:value-of select="."/>
  <xsl:text> "</xsl:text>
  <xsl:choose>
  <xsl:when test="@id='mmlents'">
    <xsl:value-of select="$base-mmlents"/>
    <xsl:if test="@name!=''"><xsl:text>/</xsl:text></xsl:if>
  </xsl:when>
  <xsl:when test="@id='dbcommon'">
    <xsl:value-of select="$base-dbcommon"/>
    <xsl:if test="@name!=''"><xsl:text>/</xsl:text></xsl:if>
  </xsl:when>
  </xsl:choose>
  <xsl:value-of select="@name"/>
  <xsl:text>"&gt;&#10;</xsl:text>
</xsl:template>

</xsl:stylesheet>
